Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.table
Enum OdfMemberType

    java.lang.Object
      java.lang.Enum<OdfMemberType>
          org.odftoolkit.odfdom.dom.type.table.OdfMemberType

All Implemented Interfaces:
  Serializable, Comparable<OdfMemberType>

    public enum OdfMemberType

extends Enum<OdfMemberType>

DOM implementation of OpenDocument attribute table:member-type.

Enum Constant Summary
`NAMED`
`NEXT`
`PREVIOUS`

Method Summary
`static OdfMemberType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfMemberType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfMemberType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfMemberType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NEXT

    public static final OdfMemberType NEXT

### PREVIOUS

    public static final OdfMemberType PREVIOUS

### NAMED

    public static final OdfMemberType NAMED

Method Detail

### values

    public static OdfMemberType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfMemberType c : OdfMemberType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfMemberType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfMemberType>`
  Returns:
    return the name of OdfMemberType

### toString

    public static String toString(OdfMemberType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfMemberType, see table:member-type
  Returns:
    return the name of OdfMemberType

### enumValueOf

    public static OdfMemberType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfMemberType
  Returns:
    return the constant of OdfMemberType, see table:member-type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.